Package es.imim.DISGENET.database

# Interface DatabaseManager

All Known Implementing Classes:
  `DatabaseManagerImpl`

public interface DatabaseManager
The DISGENET Cytoscape App is designed to visualize, query, and analyze a network representation of DISGENET data.

Copyright (C) 2024 MEDBIOINFORMATICS SOLUTIONS SL

This file is part of the DISGENET Cytoscape App. The DISGENET Cytoscape App is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or any later version.

The DISGENET Cytoscape App is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the DISGENET Cytoscape App. If not, see http://www.gnu.org/licenses/.

## Method Summary

Modifier and Type
Method
Description
`String`
`getApiKey()`
Gets the API key.
`void`
`setApiKey(String apiKey)`
Sets the API key.

## Method Details

### setApiKey

void setApiKey(String apiKey)
Sets the API key.

Parameters:
  `apiKey` - the API key to set

### getApiKey

String getApiKey()
Gets the API key.

Returns:
  the saved API key